1. 👤 Lead Resolution
  • ⚡ Essentials
    • Introduction
    • Getting Started
    • Authentication
    • Rate Limit
  • 🔍 Keyword To Lead
    • List Building
      POST
    • List Result
      POST
    • Count Building
      POST
    • Count Result
      POST
  • 👤 Lead Resolution
    • Enrichment
      POST
    • Deanonymization
      POST
    • Linkedin to Phone
      POST
    • Linkedin to HEM
      POST
    • Email to HEM
      POST
    • IP to Company
      POST
  1. 👤 Lead Resolution

Linkedin to HEM

POST
https://api.lead.springbolt.app/lead/resolution/linkedin_to_hem
Activate your hashed audiences. Email To HEM matches SHA-256 hashed emails against the Springbolt identity graph, and returns verified plaintext addresses, so the audiences you built for ads can also fuel email sequences, CRM imports, and SDR outreach. Industry-leading match rates on a US-based identity graph.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200
application/json
Bodyapplication/json

⚪default
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.lead.springbolt.app/lead/resolution/linkedin_to_hem' \
--header 'Content-Type: application/json' \
--data '{
    "linkedin_url": "https://www.linkedin.com/in/john-doe",
    "callback_url": "https://webhook.site/your-id"
}'
Response Response Example
200 - Example 1
{
    "success": true,
    "message": "Resolution successfully completed!",
    "resolution": {
        "id": "res_64a17cd62747017905c76aa06e98d5f4",
        "status": "completed",
        "requested_at": "2026-05-29T12:42:24.107Z",
        "callback_url": "https://webhook.site/your-id"
    },
    "lead": {
        "hashed_emails": [
            {
                "email": "40d8a52f7ba59aa94eed65876da6d249",
                "type": "md5"
            }
        ],
        "linkedin_url": "linkedin.com/in/john-doe"
    },
    "payload": {
        "email": "john@acme.com",
        "callback_url": "https://webhook.site/your-id"
    }
}
Previous
Linkedin to Phone
Next
Email to HEM
Built with